<template>
  <v-row>
        <div class="my-2 col-12 col-sm-12 col-md-12 row align-center" v-if="$route.query.q">
            <div class="col-12 col-sm-6 col-md-6 d-flex">Search: {{$route.query.q}}</div>
            
            <!-- <div class="col-12 col-sm-6 col-md-6 d-flex">
                <v-select
                :items="items"
                label="Sort"
                ></v-select>
            </div> -->
        </div>
        <v-col 
        class="d-flex col-6 col-sm-3 col-md-3 col-lg-2"  
        v-for="n in getListBook"
        :key="n.id">
            <book-item :title="n.volumeInfo.title" :coverimage="n.volumeInfo.imageLinks? n.volumeInfo.imageLinks.thumbnail: ''" :listbookprice="n.saleInfo" :buylink="n.saleInfo.buyLink" :bookid="n.id"></book-item>
        </v-col>
    </v-row>      
  
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
import BookItem from '@/components/BookItem.vue'
export default {
    components:{
        BookItem
    },
    data:()=>({
        searchword:'',
        items: ['newest ', 'relevance'],
    }),
    computed:{
        ...mapGetters([
            'getListBook'
        ])
    },
    methods:{
       ...mapActions([
           'fetchSearchBook'
       ])
       
    },
    mounted(){
        this.fetchSearchBook({searchword:this.$route.query.q});
    }
}
</script>

<style>

/* .v-application .title{
    font-family: inherit !important;
} */
</style>